using System;
using System.IO;
using System.Windows.Forms;
using Addison_Wesley.Codebook.Filesystem;

namespace Porovnávání_souborů
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Porovnávání souborů";

         try
         {
            // Porovnání (identických) souborů Hitchhiker1.jpg 
            // a Hitchhiker2.jpg
            string fileName1 = Path.Combine(Application.StartupPath, "Hitchhiker1.jpg");
            string fileName2 = Path.Combine(Application.StartupPath, "Hitchhiker2.jpg");
            if (FileUtils.CompareFiles(fileName1, fileName2, FileUtils.FileCompareMethod.Content))
            {
               Console.WriteLine("Soubory {0} a {1} jsou identické.", fileName1, fileName2);
            }
            else
            {
                Console.WriteLine("Soubory {0} a {1} nejsou identické.", fileName1, fileName2);
            }
            Console.WriteLine();

            // Porovnání (rozdélných) souborů Hitchhiker1.jpg 
            // a Hitchhiker3.jpg
            fileName2 = Path.Combine(Application.StartupPath, "Hitchhiker3.jpg");
            if (FileUtils.CompareFiles(fileName1, fileName2, FileUtils.FileCompareMethod.Content))
            {
                Console.WriteLine("Soubory {0} a {1} jsou identické.", fileName1, fileName2);
            }
            else
            {
                Console.WriteLine("Soubory {0} und {1} nejsou identické.", fileName1, fileName2);
            }
            Console.WriteLine();

         }
         catch (Exception ex)
         {
            Console.WriteLine(ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
